Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSocketController Class Reference

`#include <vtkSocketController.h>`

Inheritance diagram for vtkSocketController:

[legend]
Collaboration diagram for vtkSocketController:

[legend]
List of all members.

## Detailed Description

Process communication using Sockets.

Date:
  2002/06/06 14:57:55

Revision:
  1.20

This is a concrete implementation of vtkMultiProcessController. It supports one-to-one communication using sockets. Note that process 0 will always correspond to self and process 1 to the remote process. This class is best used with ports.

See also:
  vtkMultiProcessController vtkSocketCommunicator vtkInputPort vtkOutputPort

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (53%)
  - Geveci, Berk (21%)
  - Cedilnik, Andy (18%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkSocketController.cxx)`
  - .`h` (`/Parallel/vtkSocketController.h)`

Tests:
  vtkSocketController (Tests)

Definition at line 53 of file vtkSocketController.h.

## Public Types
typedef vtkMultiProcessController | Superclass
enum | Consts { ENDIAN_TAG = 1010580540 }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SingleMethodExecute ()
void | MultipleMethodExecute ()
void | CreateOutputWindow ()
void | Barrier ()
virtual void | SetNumberOfProcesses (int num)
virtual int | WaitForConnection (int port)
virtual void | CloseConnection ()
virtual int | ConnectTo (char *hostName, int port)
int | GetSwapBytesInReceivedData ()
void | SetCommunicator (vtkSocketCommunicator *comm)
virtual void | Initialize (int *argc, char ***argv, int)
virtual void | Initialize (int *argc, char ***argv)
virtual void | Initialize ()
void | Finalize ()
void | Finalize (int)
## Static Public Methods
vtkSocketController * | New ()
int | IsTypeOf (const char *type)
vtkSocketController * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkSocketController ()
| ~vtkSocketController ()
## Static Protected Attributes
int | Initialized

## Member Typedef Documentation

typedef vtkMultiProcessController vtkSocketController::Superclass

| Reimplemented from vtkMultiProcessController. Definition at line 57 of file vtkSocketController.h.

## Member Enumeration Documentation

enum vtkSocketController::Consts

  | Enumeration values:
  ENDIAN_TAG |
Reimplemented from vtkMultiProcessController. Definition at line 107 of file vtkSocketController.h.

## Constructor & Destructor Documentation

vtkSocketController::vtkSocketController | ( |  | ) | `[protected]`

vtkSocketController::~vtkSocketController | ( |  | ) | `[protected]`

## Member Function Documentation

vtkSocketController* vtkSocketController::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkMultiProcessController.

virtual const char* vtkSocketController::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkMultiProcessController.

int vtkSocketController::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMultiProcessController.

virtual int vtkSocketController::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMultiProcessController.

vtkSocketController* vtkSocketController::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkMultiProcessController.

void vtkSocketController::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkMultiProcessController.

virtual void vtkSocketController::Initialize | ( | int * | argc,
|  | char *** | argv,
|  | int |
| ) | `[inline, virtual]`

| This method is for initialiazing sockets. One of these is REQUIRED for Windows. Definition at line 63 of file vtkSocketController.h. References vtkMultiProcessController::Initialize().

virtual void vtkSocketController::Initialize | ( | int * | argc,
|  | char *** | argv
| ) | `[virtual]`

| This method is for initialiazing sockets. One of these is REQUIRED for Windows.

virtual void vtkSocketController::Initialize | ( |  | ) | `[inline, virtual]`

| This method is for initialiazing sockets. One of these is REQUIRED for Windows. Definition at line 66 of file vtkSocketController.h. References vtkMultiProcessController::Initialize().

void vtkSocketController::Finalize | ( |  | ) | `[inline, virtual]`

| Does not apply to sockets. Does nothing. Implements vtkMultiProcessController. Definition at line 72 of file vtkSocketController.h.

void vtkSocketController::Finalize | ( | int |  | ) | `[inline, virtual]`

| Does not apply to sockets. Does nothing. Implements vtkMultiProcessController. Definition at line 73 of file vtkSocketController.h.

void vtkSocketController::SingleMethodExecute | ( |  | ) | `[inline, virtual]`

| Does not apply to sockets. Does nothing. Implements vtkMultiProcessController. Definition at line 77 of file vtkSocketController.h.

void vtkSocketController::MultipleMethodExecute | ( |  | ) | `[inline, virtual]`

| Does not apply to sockets. Does nothing. Implements vtkMultiProcessController. Definition at line 80 of file vtkSocketController.h.

void vtkSocketController::CreateOutputWindow | ( |  | ) | `[inline, virtual]`

| Does not apply to sockets. Does nothing. Implements vtkMultiProcessController. Definition at line 83 of file vtkSocketController.h.

void vtkSocketController::Barrier | ( |  | ) | `[inline, virtual]`

| Does not apply to sockets. Does nothing. Implements vtkMultiProcessController. Definition at line 86 of file vtkSocketController.h.

virtual void vtkSocketController::SetNumberOfProcesses | ( | int | num | ) | `[virtual]`

| Set the number of processes you will be using. Reimplemented from vtkMultiProcessController.

virtual int vtkSocketController::WaitForConnection | ( | int | port | ) | `[virtual]`

| Wait for connection on a given port, forwarded to the communicator

virtual void vtkSocketController::CloseConnection | ( |  | ) | `[virtual]`

| Close a connection, forwarded to the communicator

virtual int vtkSocketController::ConnectTo | ( | char * | hostName,
|  | int | port
| ) | `[virtual]`

| Open a connection to a give machine, forwarded to the communicator

int vtkSocketController::GetSwapBytesInReceivedData | ( |  | ) |

void vtkSocketController::SetCommunicator | ( | vtkSocketCommunicator * | comm | ) |

| Set the communicator used in normal and rmi communications.

## Member Data Documentation

int vtkSocketController::Initialized`[static, protected]`

| Definition at line 119 of file vtkSocketController.h.

The documentation for this class was generated from the following file:

- Parallel/vtkSocketController.h